<div class="row">
  <app-login-icon></app-login-icon>
</div>

<div *ngIf="info.token; else loggedOut">
  <div class="welcome">
    <span id="splash-overlay" class="splash"></span>
    <span id="welcome" class="z-depth-4"></span>

    <div class="contentTextAnim">
      <h2 class="frame-5-logged">
        <span>{{ info.username }}, Bienvenue sur MOOD !</span>
      </h2>
    </div>
  </div>

  <div
    id="moodDescription"
    style="width: 60%; margin: auto; margin-top: 500px"
    *ngIf="
      savedMood.moodModel !== undefined
        ? this.replaceMood() &&
          this.replacePhysicalMood() &&
          this.replaceLocationMood() &&
          replaceCategoryMood()
        : false
    "
  >
    Aujourd'hui, tu es de {{ savedMood.moodModel }} et ta forme physique est
    {{ savedMood.physicalMood }}; Tu es plutôt d'humeur
    {{ savedMood.category }} et {{ savedMood.location }}; Pour tes évènements et
    activités ton budget maximum est {{ savedMood.budget }} €;
  </div>

  <div [ngClass]="savedMood.moodModel !== undefined ? 'hide' : 'show'">
    <p id="moodDescription">Tu n'as pas encore enregistré ton humeur du jour</p>
  </div>

  <div class="wrapperCard">
    <div class="cols">
      <div class="col" ontouchstart="this.classList.toggle('hover');">
        <div class="container">
          <div
            class="front"
            style="background-image: url(https://www.telerama.fr/sites/tr_master/files/styles/simplecrop1000/public/maxime_chermat_-_10_juin_2021_-_ndeg9510_0.jpg?itok=eeUr5_ly)"
          >
            <div class="inner">
              <p>Activités</p>
              <span>En fonction de ton humeur !</span>
            </div>
          </div>
          <div class="back">
            <div class="inner">
              <p>
                Mood te propose des activités, de la méditation à la gym
                suédoise en passant par l'origami. Il y en a pour tous les goûts
                et toutes les humeurs
              </p>
            </div>
          </div>
        </div>
      </div>
      <div class="col" ontouchstart="this.classList.toggle('hover');">
        <div class="container">
          <div
            class="front"
            style="background-image: url(https://www.hotelsbarriere.com/content/dam/hotels/LBA/landings_la_baule/vos-evenements-a-la-baule/1280x515/evenement-outdoor-1280x515.jpg/jcr%3Acontent/renditions/cq5dam.web.1280.515.jpeg)"
          >
            <div class="inner">
              <p>Evènements</p>
              <span>En fonction de ton humeur !</span>
            </div>
          </div>
          <div class="back">
            <div class="inner">
              <p>
                Tu ne sais pas quoi faire aujourd'hui ? Ou ce week-end ? Ca
                tombe bien Mood est là pour te proposer des évènements qui
                correspont à ton humeur du moment !
              </p>
            </div>
          </div>
        </div>
      </div>
      <div class="col" ontouchstart="this.classList.toggle('hover');">
        <div class="container">
          <div
            class="front"
            style="background-image: url(https://unsplash.it/500/500/)"
          >
            <div class="inner">
              <p>Tracker</p>
              <span>Pour garder une trace !</span>
            </div>
          </div>
          <div class="back">
            <div class="inner">
              <p>Garder une trace de ses humeurs, c'est plutôt sympas non ?</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<ng-template #loggedOut>
  <div class="welcome">
    <span id="splash-overlay" class="splash"></span>
    <span id="welcome" class="z-depth-4"></span>

    <div class="contentTextAnim">
      <h2 class="frame-1"></h2>
      <h2 class="frame-2">Des évènements,</h2>
      <h2 class="frame-3">des activités,</h2>
      <h2 class="frame-4">selon votre humeur.</h2>
      <h2 class="frame-5">
        <span>Bienvenue sur MOOD !</span>
      </h2>
    </div>
  </div>

  <div class="row animate__animated animate__bounceInLeft animate__delay-2s">
    <p id="moodDescription">
      Mood, c'est une application qui te propose des évènements et des activités
      selon ton humeur ! <br />
      Elle a pour but de te maintenir de bonne humeur, et elle te permet de
      garder un journal de tes humeurs. <br />
      Pour profiter des fonctionnalités de l'application tu dois être connecté !
      <br />
      Ca se passe <a href="/sign-in">ici </a>!
    </p>
  </div>
</ng-template>
